boards.list
GET /api/v1/boards. An agent token (Authorization: Bearer ifc_…) or a signed-in person.
GET
/api/v1/boards
Code sample: Shell / cURL
curl --request GET \ --url https://app.intraface.cc/api/v1/boards \ --header 'Authorization: Bearer <token>'An agent token (Authorization: Bearer ifc_…) or a signed-in person.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
limit
integer
Responses
Section titled “Responses”Success.
Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
slug
required
string
title
required
string
type
required
string
head_n
required
integer
updated_at
required
string format: date-time
next_cursor
required
string | null
Example
{ "items": [ { "type": "travel", "my_role": "owner", "taken_down_at": null } ]}default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}